.mod-finder {
    width: 100%;
}

.mod-finder__search.input-group {
    width: 100%;
    max-width: 622px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.mod-finder__search.input-group .awesomplete {
    height: 100%;
    width: 100%;
}

.mod-finder__search.input-group input {
    height: 100%;
    width: 100%;
    color: var(--gray-500, #1b1b1b);
    font-size: var(--fs-paragraph, 16px);
    font-style: normal;
    font-weight: var(--fw-400, 400);
    line-height: var(--lh-24, 24px);
    border: 1px solid var(--green-500, #04853b);
    border-radius: 8px;
    background: var(--white-500, #fff);
    padding: 0 56px 0 16px;
    opacity: 0.8;
}

.mod-finder__search.input-group input:not(:placeholder-shown) {
    opacity: 0.95;
}

.mod-finder__search.input-group input:focus {
    border: 2px solid var(--green-500);
    box-shadow: none;
    outline: none;
}

.mod-finder__search.input-group input::placeholder {
    color: var(--blue-700, #0e2b43);
    font-feature-settings:
        "liga" off,
        "clig" off;
    font-family: Roboto;
    font-size: var(--fs-paragraph, 16px);
    font-style: normal;
    font-weight: var(--fw-400, 400);
    line-height: var(--lh-24, 24px);
    opacity: 1;
}

.mod-finder__search.input-group .search-button {
    display: flex;
    align-items: center;
    justify-content: center;
    height: calc(100% - 4px);
    width: 40px;
    cursor: pointer;
    border: none;
    transition: 0.3s background-color ease-in-out;
    position: absolute;
    top: 50%;
    right: 12px;
    background-color: transparent;
    transform: translateY(-50%);
}

.mod-finder__search.input-group .search-button svg {
    width: 40px;
    height: 40px;
    transition: 0.3s fill ease-in-out;
}

.mod-finder__search.input-group .search-button svg path {
    transition: 0.3s fill ease-in-out;
}

.mod-finder__search.input-group .search-button:hover svg path {
    fill: var(--blue-500, #1a4f7a);
}

@media (max-width: 1500px) {
    .mod-finder__search.input-group .awesomplete {
        display: none;
    }

    .mod-finder__search.input-group .search-button {
        right: 0;
    }
}
